package cn.ezhizao.project.business.urgent.service.impl;

import cn.ezhizao.project.business.urgent.domain.BizFinancialUrgent;
import cn.ezhizao.project.business.urgent.mapper.BizFinancialUrgentMapper;
import cn.ezhizao.project.business.urgent.service.IBizFinancialUrgentService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.Map;

/**
 * @author 周晓
 */

@Service
public class BizFinancialUrgentServiceImpl extends ServiceImpl<BizFinancialUrgentMapper, BizFinancialUrgent> implements IBizFinancialUrgentService {

    @Resource
    BizFinancialUrgentMapper financialUrgentDao;

    @Override
    public List<BizFinancialUrgent> getList(Map<String,Object> conditions) {
        return financialUrgentDao.getList(conditions);
    }

    @Override
    public List<BizFinancialUrgent> getListByBean(BizFinancialUrgent financialUrgent) {
        return financialUrgentDao.getList(financialUrgent);
    }

    @Override
    public int getTotal(Map<String,Object> conditions) {
        return financialUrgentDao.getTotal(conditions);
    }

    @Override
    public List<BizFinancialUrgent> getOldData() {
        return financialUrgentDao.getOldData();
    }
    @Override
    public int clear() {
        return financialUrgentDao.clear();
    }
}
